#550 software caused connection abort: socket write error (Windows XP)

v4.4.0
closed-fixed
nobody
None
5
2015-02-18
2013-12-10
thefausap
No

Hi,
i'm having problems sending "big" emails, cause I get always : Software caused connection abort: socket write error.
I'm using Windows XP PRO (SP3) and Thunderbird as email client.
This happens when I have attachment (not too much big also with 30kb in size) or quite big emails with some tables in it.

I'm sorry I cannot send a more detailed debug output, is there a way to enable this ?

regards,
Fausto

Related

Bugs: #550

Discussion

  • Mickael Guessant

    Please check davmail.log for detailed error messages, see http://davmail.sourceforge.net/faq.html

     
    • thefausap

      thefausap - 2013-12-13

      Hello,

      this is what I found in the log message:

      2013-12-13 10:12:11,265 DEBUG [SmtpConnection-3966] davmail - > 235 OK
      Authenticated
      2013-12-13 10:12:11,265 DEBUG [SmtpConnection-3966] davmail - < MAIL
      FROM:fausto.saporito@eng.it
      2013-12-13 10:12:11,265 DEBUG [SmtpConnection-3966] davmail - > 250
      Sender OK
      2013-12-13 10:12:11,265 DEBUG [SmtpConnection-3966] davmail - < RCPT
      TO:fausto.saporito@gmail.com
      2013-12-13 10:12:11,281 DEBUG [SmtpConnection-3966] davmail - > 250
      Recipient OK
      2013-12-13 10:12:11,281 DEBUG [SmtpConnection-3966] davmail - < DATA
      2013-12-13 10:12:11,281 DEBUG [SmtpConnection-3966] davmail - > 354
      Start mail input; end with <CRLF>.<CRLF>
      2013-12-13 10:12:11,343 DEBUG [PopConnection-3972] davmail - > +OK Bye
      2013-12-13 10:12:12,390 ERROR [SmtpConnection-3966] davmail -
      Connection reset by peer: socket write error
      java.net.SocketException: Connection reset by peer: socket write error
      at java.net.SocketOutputStream.socketWrite0(Native Method)
      at java.net.SocketOutputStream.socketWrite(Unknown Source)
      at java.net.SocketOutputStream.write(Unknown Source)
      at sun.security.ssl.OutputRecord.writeBuffer(Unknown Source)
      at sun.security.ssl.OutputRecord.write(Unknown Source)
      at sun.security.ssl.SSLSocketImpl.writeRecordInternal(Unknown Source)
      at sun.security.ssl.SSLSocketImpl.writeRecord(Unknown Source)
      at sun.security.ssl.AppOutputStream.write(Unknown Source)
      at java.io.BufferedOutputStream.write(Unknown Source)
      at java.io.FilterOutputStream.write(Unknown Source)
      at davmail.exchange.ews.EWSMethod$1.writeRequest(EWSMethod.java:127)
      at
      org.apache.commons.httpclient.methods.EntityEnclosingMethod.writeRequestBody(EntityEnclosingMethod.java:499)
      at
      org.apache.commons.httpclient.HttpMethodBase.writeRequest(HttpMethodBase.java:2114)
      at
      org.apache.commons.httpclient.HttpMethodBase.execute(HttpMethodBase.java:1096)
      at
      org.apache.commons.httpclient.HttpMethodDirector.executeWithRetry(HttpMethodDirector.java:398)
      at
      org.apache.commons.httpclient.HttpMethodDirector.executeMethod(HttpMethodDirector.java:171)
      at
      org.apache.commons.httpclient.HttpClient.executeMethod(HttpClient.java:397)
      at
      org.apache.commons.httpclient.HttpClient.executeMethod(HttpClient.java:323)
      at
      davmail.exchange.ews.EwsExchangeSession.executeMethod(EwsExchangeSession.java:2223)
      at
      davmail.exchange.ews.EwsExchangeSession.sendMessage(EwsExchangeSession.java:523)
      at
      davmail.exchange.ews.EwsExchangeSession.sendMessage(EwsExchangeSession.java:539)
      at
      davmail.exchange.ExchangeSession.sendMessage(ExchangeSession.java:1309)
      at davmail.smtp.SmtpConnection.run(SmtpConnection.java:166)
      2013-12-13 10:12:12,390 DEBUG [SmtpConnection-3966] davmail - > 451
      Error : java.net.SocketException: Connection reset by peer: socket write
      error Connection reset by peer: socket write error
      2013-12-13 10:12:16,234 DEBUG [SmtpConnection-3966] davmail - < QUIT
      2013-12-13 10:12:16,234 DEBUG [SmtpConnection-3966] davmail - > 221
      Closing connection

      regards,
      Fausto

      Il 12/13/2013 12:26 AM, Mickael Guessant ha scritto:

      Please check davmail.log for detailed error messages, see
      http://davmail.sourceforge.net/faq.html


      [bugs:#550] http://sourceforge.net/p/davmail/bugs/550/ software
      caused connection abort: socket write error (Windows XP)

      Status: open
      Created: Tue Dec 10, 2013 11:10 AM UTC by thefausap
      Last Updated: Tue Dec 10, 2013 11:10 AM UTC
      Owner: nobody

      Hi,
      i'm having problems sending "big" emails, cause I get always :
      Software caused connection abort: socket write error.
      I'm using Windows XP PRO (SP3) and Thunderbird as email client.
      This happens when I have attachment (not too much big also with 30kb
      in size) or quite big emails with some tables in it.

      I'm sorry I cannot send a more detailed debug output, is there a way
      to enable this ?

      regards,
      Fausto


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/davmail/bugs/550/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #550

  • thefausap

    thefausap - 2014-02-13

    Hello,

    with the latest version 4.4.1-2225, this problem has been fixed.

    thanks a lot,
    Fausto

     
  • Mickael Guessant

    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks